package com.ruoyi.ibs.grid.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

public class IgnoreVo implements Serializable {
    private Long id;
    /**
     * 锚点名称。同客户名称，用户导入/图商返回
     */
    private String anchorName;
    /**
     * 所在行业。用户编辑输入/图商返回
     */
    private String belongBusiness;
    /**
     * 来源，导入或地图更新推送，取最新一次地址更新时对应的来源（导入/编辑均为手工导入）
     */
    private String source;
    /**
     * 新成立/地址变化
     */
    private String type;
    /**
     * 地址类型;类似经营地址/注册地址
     */
    private String addressName;
    /**
     * 地址备注
     */
    private String addressRemark;

    private String custStatus;

    private String custAddressStatus;
    /**
     * 地址，用户导入/编辑输入/图商返回，原地址取值
     */
    private String address;
    /**
     * 现地址
     */
    private String addressNow;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    private Date updateTime;


    public String getCustStatus() {
        return custStatus;
    }

    public void setCustStatus(String custStatus) {
        this.custStatus = custStatus;
    }

    public String getCustAddressStatus() {
        return custAddressStatus;
    }

    public void setCustAddressStatus(String custAddressStatus) {
        this.custAddressStatus = custAddressStatus;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getAnchorName() {
        return anchorName;
    }

    public void setAnchorName(String anchorName) {
        this.anchorName = anchorName;
    }

    public String getBelongBusiness() {
        return belongBusiness;
    }

    public void setBelongBusiness(String belongBusiness) {
        this.belongBusiness = belongBusiness;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getAddressName() {
        return addressName;
    }

    public void setAddressName(String addressName) {
        this.addressName = addressName;
    }

    public String getAddressRemark() {
        return addressRemark;
    }

    public void setAddressRemark(String addressRemark) {
        this.addressRemark = addressRemark;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getAddressNow() {
        return addressNow;
    }

    public void setAddressNow(String addressNow) {
        this.addressNow = addressNow;
    }
}
